SONY(4)

NAME
sony - Sony Miscellaneous Controller

SYNOPSIS
sony* at acpi?

DESCRIPTION
Some Sony notebook computers have a controller that handles various built-in devices. The sony driver provides support for accessing/modifying the settings of some of these devices via the sysctl(8) interface.

The following sysctl(8) variables are available:

hw.sony0.brt [R/W]
    Controls current LCD brightness. Range [0-8].
hw.sony0.pbr [R/W]
    Controls power on LCD brightness. Range [0-8].
hw.sony0.cdp [R/W]
    Controls CD power.
hw.sony0.pid [R/O]
    Unknown
hw.sony0.ctr [R/W]
    Unknown
hw.sony0.pcr [R/W]
    Unknown
hw.sony0.cmi [R/W]
    Unknown
hw.sony0.ams [R/W]
    Audio control (mute when 0)
hw.sony0.hke [R/O]
    Indicates a Host Key Event. Bits are set when an event occurs and cleared when this value is read. The following table describes the bit set for each button pressed:

    0x1000
        S1 button
    0x0800
        S2 button
    0x0200
        Fn + F10 (magnify)
    0x0100
        Mute button
    0x0020
        Fn + F12 (suspend to disk)
    0x0010
        Fn + F7 (LCD/external monitor)
    0x0008
        Fn + F6 (brighter backlight)
    0x0004
        Fn + F5 (darker backlight)
    0x0002
        Fn + F4 (volume up)
    0x0001
        Fn + F3 (volume down)

SEE ALSO
acpi(4), i386/spic(4)

HISTORY
The sony driver appeared in NetBSD 4.0.

AUTHORS
-nosplit Sami Kantoluoto for the original driver and manual information. Christos Zoulas for cleaning up the driver and this manual page.

BUGS

•   The sony driver just parses integer values from the acpi(4) tree. It could be more intelligent and parse other controls.

•   The sysctl(8) interface is not great. The names of the sysctl(8) tree are not self-explanatory.

•   No validity checks are performed on the user input. Playing with random values and/or unknown controls can harm your machine.

•   The name of the driver is too generic.